## pg-partman 2.2.2

=== Makefile ===
EXTENSION = pg_partman
EXTVERSION = $(shell grep default_version $(EXTENSION).control | \
               sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")

PG_CONFIG = pg_config
PG94 = $(shell $(PG_CONFIG) --version | egrep " 8\.| 9\.0| 9\.1| 9\.2| 9\.3" > /dev/null && echo no || echo yes)

ifeq ($(PG94),yes)
DOCS = $(wildcard doc/*.md)
SCRIPTS = bin/*.py
MODULES = src/pg_partman_bgw
# If user does not want the background worker, run: make NO_BGW=1
ifneq ($(NO_BGW),)
	MODULES=
endif
all: sql/$(EXTENSION)--$(EXTVERSION).sql

sql/$(EXTENSION)--$(EXTVERSION).sql: sql/types/*.sql sql/tables/*.sql sql/functions/*.sql
	cat $^ > $@

DATA = $(wildcard updates/*--*.sql) sql/$(EXTENSION)--$(EXTVERSION).sql
EXTRA_CLEAN = sql/$(EXTENSION)--$(EXTVERSION).sql
else
$(error Minimum version of PostgreSQL required is 9.4.0)
endif

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

=== debian/changelog ===
pg-partman (2.2.2-2) unstable; urgency=medium

  * Upload with 9.5 support.

 -- Christoph Berg <myon@debian.org>  Sat, 16 Jan 2016 08:33:57 +0100

pg-partman (2.2.2-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Thu, 31 Dec 2015 15:10:55 +0100

=== debian/control ===
Source: pg-partman
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pg-partman.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pg-partman.git
XS-Testsuite: autopkgtest

Package: postgresql-9.5-partman
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.5, python
Description: PostgreSQL Partition Manager
 pg_partman is a PostgreSQL extension to create and manage both time-based and
 serial-based table partition sets. Sub-partitioning is also supported. Child
 table & trigger function creation is all managed by the extension itself.
 Tables with existing data can also have their data partitioned in easily
 managed smaller batches. Optional retention policy can automatically drop
 partitions no longer needed. A background worker (BGW) process is included to
 automatically run partition maintenance without the need of an external
 scheduler (cron, etc) in most cases.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:

override_dh_auto_test:

override_dh_auto_install:
	+pg_buildext loop postgresql-%v-partman
	rm -rf debian/*/usr/share/doc/postgresql-doc-*

override_dh_installdocs:
	dh_installdocs --all README.md doc/*

%:
	dh $@

=== debian/tests/control ===
Depends: @, libtap-parser-sourcehandler-pgtap-perl, postgresql-9.5-pgtap, postgresql-server-dev-all
Tests: prove
Restrictions: allow-stderr

=== debian/watch ===
version=3
http://pgxn.org/dist/pg_partman/ .*/pg_partman-(.*).zip
https://github.com/keithf4/pg_partman/releases .*/v(.*).tar.gz

## pg-partman 2.5.1

=== debian/changelog ===
pg-partman (2.5.1-1) unstable; urgency=medium

  * New upstream version.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Mon, 08 Aug 2016 20:11:21 +0200

pg-partman (2.4.1-1) unstable; urgency=medium

  * New upstream version.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 06 Jul 2016 22:01:42 +0200

pg-partman (2.3.4-1) unstable; urgency=medium

  * New upstream version.
  * Add myself to Uploaders.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Fri, 27 May 2016 20:22:57 +0200

pg-partman (2.3.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sat, 30 Apr 2016 14:10:57 +0200

pg-partman (2.3.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 01 Apr 2016 22:44:50 +0200

pg-partman (2.3.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 16 Mar 2016 16:35:15 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>
+Uploaders: Christoph Berg <myon@debian.org>,
+           Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pg-partman.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pg-partman.git
 XS-Testsuite: autopkgtest

## pg-partman 2.6.3

=== debian/changelog ===
pg-partman (2.6.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 03 Jan 2017 21:49:57 +0100

pg-partman (2.6.2-1) unstable; urgency=medium

  * New upstream version with 9.6 support. Closes: #839339.

 -- Christoph Berg <myon@debian.org>  Sat, 17 Dec 2016 23:59:24 +0100

pg-partman (2.6.0-1) unstable; urgency=medium

  * New upstream version.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Thu, 08 Sep 2016 11:39:59 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
 Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pg-partman.git
 XS-Testsuite: autopkgtest
 
-Package: postgresql-9.5-partman
+Package: postgresql-9.6-partman
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.5, python
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6, python
 Description: PostgreSQL Partition Manager
  pg_partman is a PostgreSQL extension to create and manage both time-based and
  serial-based table partition sets. Sub-partitioning is also supported. Child

=== debian/tests/control ===
Depends: @, libtap-parser-sourcehandler-pgtap-perl, postgresql-9.6-pgtap, postgresql-server-dev-all
Tests: prove
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://github.com/keithf4/pg_partman/releases .*/v(.*).tar.gz
http://pgxn.org/dist/pg_partman/ .*/pg_partman-(.*).zip

## pg-partman 3.1.0

=== debian/changelog ===
pg-partman (3.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 04 Oct 2017 22:19:47 +0200

pg-partman (3.0.2-2) unstable; urgency=medium

  * Upload with PostgreSQL 10 support.

 -- Christoph Berg <myon@debian.org>  Tue, 26 Sep 2017 19:06:26 +0200

pg-partman (3.0.2-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 15 Jun 2017 17:37:48 +0200

pg-partman (3.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 11 Apr 2017 16:19:21 +0200

pg-partman (2.6.4-1) experimental; urgency=medium

  * New upstream version.

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Sat, 18 Mar 2017 15:29:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Christoph Berg <myon@debian.org>,
            Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pg-partman.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pg-partman.git
 XS-Testsuite: autopkgtest
 
-Package: postgresql-9.6-partman
+Package: postgresql-10-partman
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-9.6, python
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10, python
 Description: PostgreSQL Partition Manager
  pg_partman is a PostgreSQL extension to create and manage both time-based and
  serial-based table partition sets. Sub-partitioning is also supported. Child

## pg-partman 3.1.2

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 endif
 all: sql/$(EXTENSION)--$(EXTVERSION).sql
 
-sql/$(EXTENSION)--$(EXTVERSION).sql: sql/types/*.sql sql/tables/*.sql sql/functions/*.sql
+sql/$(EXTENSION)--$(EXTVERSION).sql: $(sort $(wildcard sql/types/*.sql)) $(sort $(wildcard sql/tables/*.sql)) $(sort $(wildcard sql/functions/*.sql))
 	cat $^ > $@
 
 DATA = $(wildcard updates/*--*.sql) sql/$(EXTENSION)--$(EXTVERSION).sql

=== debian/changelog ===
pg-partman (3.1.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 05 Feb 2018 09:20:07 +0100

pg-partman (3.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <myon@debian.org>  Mon, 22 Jan 2018 20:38:41 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
 Uploaders: Christoph Berg <myon@debian.org>,
            Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
 Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pg-partman.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pg-partman.git
-XS-Testsuite: autopkgtest
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/postgresql/pg-partman
+Vcs-Git: https://salsa.debian.org/postgresql/pg-partman.git
 
 Package: postgresql-10-partman
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -14,4 +14,4 @@
 	dh_installdocs --all README.md doc/*
 
 %:
-	dh $@
+	dh $@ --fail-missing

=== debian/tests/control ===
Depends: @, libtap-parser-sourcehandler-pgtap-perl, postgresql-10-pgtap, postgresql-server-dev-all
Tests: prove
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://github.com/keithf4/pg_partman/releases .*/v(.*).tar.gz
#http://pgxn.org/dist/pg_partman/ .*/pg_partman-(.*).zip

## pg-partman 3.1.3

=== debian/changelog ===
pg-partman (3.1.3-1.pgdg70+1) wheezy-pgdg; urgency=medium

  * Rebuild for wheezy-pgdg (jenkins-pg-partman-source-
    distribution=wheezy-30,
    8d50a8ca56b8f4d82c72f907fa58195d6f0c2fbf/git)

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Fri, 20 Apr 2018 13:08:02 +0200

pg-partman (3.1.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 20 Apr 2018 09:34:02 +0200

## pg-partman 3.2.1

=== debian/changelog ===
pg-partman (3.2.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 18 Jul 2018 12:49:52 +0200

pg-partman (3.2.0-1) unstable; urgency=medium

  * New upstream version.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Sun, 08 Jul 2018 17:57:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: pg-partman
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>,
-           Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Uploaders:
+ Christoph Berg <myon@debian.org>,
+ Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-partman
 Vcs-Git: https://salsa.debian.org/postgresql/pg-partman.git
 
 Package: postgresql-10-partman
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-10, python
+Depends: postgresql-10, python, ${misc:Depends}, ${shlibs:Depends}
 Description: PostgreSQL Partition Manager
  pg_partman is a PostgreSQL extension to create and manage both time-based and
  serial-based table partition sets. Sub-partitioning is also supported. Child

## pg-partman 4.0.0

=== debian/changelog ===
pg-partman (4.0.0-1) unstable; urgency=medium

  * Upload for PostgreSQL 11.
  * debian/watch: Make "v" prefix optional.

 -- Christoph Berg <myon@debian.org>  Sun, 14 Oct 2018 21:57:45 +0200

pg-partman (3.2.1-2) unstable; urgency=medium

  * Use python3 for scripts, and depend on python3-psycopg2.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 28 Sep 2018 13:12:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  Christoph Berg <myon@debian.org>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
-Standards-Version: 4.1.5
+Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-partman
 Vcs-Git: https://salsa.debian.org/postgresql/pg-partman.git
 
-Package: postgresql-10-partman
+Package: postgresql-11-partman
 Architecture: any
-Depends: postgresql-10, python, ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-11, python3, python3-psycopg2, ${misc:Depends}, ${shlibs:Depends}
 Description: PostgreSQL Partition Manager
  pg_partman is a PostgreSQL extension to create and manage both time-based and
  serial-based table partition sets. Sub-partitioning is also supported. Child

=== debian/tests/control ===
Depends: @, libtap-parser-sourcehandler-pgtap-perl, postgresql-11-pgtap, postgresql-server-dev-all
Tests: prove
Restrictions: allow-stderr

Depends: @
Tests: scripts
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://github.com/keithf4/pg_partman/releases .*/v?(.*).tar.gz
#http://pgxn.org/dist/pg_partman/ .*/pg_partman-(.*).zip

## pg-partman 4.2.0

=== debian/changelog ===
pg-partman (4.2.0-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 26 Aug 2019 11:45:00 +0200

pg-partman (4.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Aug 2019 11:45:00 +0200

pg-partman (4.1.0-1) experimental; urgency=medium

  * New upstream version.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Mon, 20 May 2019 15:03:56 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,58 @@
 Standards-Version: 4.2.0
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-partman
 Vcs-Git: https://salsa.debian.org/postgresql/pg-partman.git
+
+Package: postgresql-9.4-partman
+Architecture: any
+Depends: postgresql-9.4, python3, python3-psycopg2, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
+
+Package: postgresql-9.5-partman
+Architecture: any
+Depends: postgresql-9.5, python3, python3-psycopg2, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
+
+Package: postgresql-9.6-partman
+Architecture: any
+Depends: postgresql-9.6, python3, python3-psycopg2, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
+
+Package: postgresql-10-partman
+Architecture: any
+Depends: postgresql-10, python3, python3-psycopg2, ${misc:Depends}, ${shlibs:Depends}
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
 
 Package: postgresql-11-partman
 Architecture: any

=== debian/tests/control ===
Depends: @, libtap-parser-sourcehandler-pgtap-perl, postgresql-9.4-pgtap, postgresql-9.5-pgtap, postgresql-9.6-pgtap, postgresql-10-pgtap, postgresql-11-pgtap, postgresql-server-dev-all
Tests: prove
Restrictions: allow-stderr

Depends: @
Tests: scripts
Restrictions: allow-stderr

## pg-partman 4.3.0

=== debian/changelog ===
pg-partman (4.3.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Feb 2020 11:44:03 +0100

pg-partman (4.2.2-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Thu, 31 Oct 2019 11:47:22 +0100

=== debian/control ===
Source: pg-partman
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/postgresql/pg-partman
Vcs-Git: https://salsa.debian.org/postgresql/pg-partman.git

Package: postgresql-12-partman
Architecture: any
Depends: postgresql-12, python3, python3-psycopg2, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL Partition Manager
 pg_partman is a PostgreSQL extension to create and manage both time-based and
 serial-based table partition sets. Sub-partitioning is also supported. Child
 table & trigger function creation is all managed by the extension itself.
 Tables with existing data can also have their data partitioned in easily
 managed smaller batches. Optional retention policy can automatically drop
 partitions no longer needed. A background worker (BGW) process is included to
 automatically run partition maintenance without the need of an external
 scheduler (cron, etc) in most cases.

=== debian/tests/control ===
Depends: @, libtap-parser-sourcehandler-pgtap-perl, postgresql-12-pgtap, postgresql-server-dev-all
Tests: prove
Restrictions: allow-stderr

Depends: @
Tests: scripts
Restrictions: allow-stderr

## pg-partman 4.4.0

=== debian/changelog ===
pg-partman (4.4.0-1) unstable; urgency=medium

  * New upstream version.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Sun, 17 May 2020 21:06:15 +0200

pg-partman (4.3.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 06 May 2020 10:36:41 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,21 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
-Build-Depends: debhelper (>= 9), postgresql-server-dev-all (>= 153~)
-Standards-Version: 4.2.0
+Build-Depends:
+ debhelper-compat (= 13),
+ postgresql-server-dev-all (>= 153~),
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-partman
 Vcs-Git: https://salsa.debian.org/postgresql/pg-partman.git
 
 Package: postgresql-12-partman
 Architecture: any
-Depends: postgresql-12, python3, python3-psycopg2, ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ postgresql-12,
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: PostgreSQL Partition Manager
  pg_partman is a PostgreSQL extension to create and manage both time-based and
  serial-based table partition sets. Sub-partitioning is also supported. Child

=== debian/tests/control ===
Depends:
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-12-pgtap,
 postgresql-server-dev-all,
 @,
Tests: prove
Restrictions: allow-stderr

Depends:
 @,
Tests: scripts
Restrictions: allow-stderr

## pg-partman 4.4.1

=== debian/changelog ===
pg-partman (4.4.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Jan 2021 16:54:34 +0100

pg-partman (4.4.0-3) unstable; urgency=medium

  * Add test-dependency on postgresql-common (>= 219~) for pg_buildext
    virtualenv. (Closes: #972042)
  * R³: no.

 -- Christoph Berg <myon@debian.org>  Mon, 12 Oct 2020 22:55:17 +0200

pg-partman (4.4.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop.
  * debian/tests: Drop dependency on postgresql-server-dev-all.
  * debian/tests: Use pg_buildext virtualenv.

 -- Christoph Berg <myon@debian.org>  Mon, 05 Oct 2020 16:56:17 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,16 @@
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends:
  debhelper-compat (= 13),
- postgresql-server-dev-all (>= 153~),
+ postgresql-all (>= 219~),
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-partman
 Vcs-Git: https://salsa.debian.org/postgresql/pg-partman.git
 
-Package: postgresql-12-partman
+Package: postgresql-13-partman
 Architecture: any
 Depends:
- postgresql-12,
+ postgresql-13,
  python3,
  python3-psycopg2,
  ${misc:Depends},

## pg-partman 4.5.0

=== debian/changelog ===
pg-partman (4.5.0-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 04 Feb 2021 16:59:01 +0100

pg-partman (4.5.0-1) experimental; urgency=medium

  * New upstream version.
  * Update upstream URL.

 -- Christoph Berg <myon@debian.org>  Thu, 04 Feb 2021 16:59:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,103 @@
  Christoph Berg <myon@debian.org>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 12),
  postgresql-all (>= 219~),
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-partman
 Vcs-Git: https://salsa.debian.org/postgresql/pg-partman.git
+Homepage: https://github.com/pgpartman/pg_partman
+
+Package: postgresql-9.5-partman
+Architecture: any
+Depends:
+ postgresql-9.5,
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
+
+Package: postgresql-9.6-partman
+Architecture: any
+Depends:
+ postgresql-9.6,
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
+
+Package: postgresql-10-partman
+Architecture: any
+Depends:
+ postgresql-10,
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
+
+Package: postgresql-11-partman
+Architecture: any
+Depends:
+ postgresql-11,
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
+
+Package: postgresql-12-partman
+Architecture: any
+Depends:
+ postgresql-12,
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
 
 Package: postgresql-13-partman
 Architecture: any

=== debian/tests/control ===
Depends:
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-9.5-pgtap, postgresql-9.6-pgtap, postgresql-10-pgtap, postgresql-11-pgtap, postgresql-12-pgtap, postgresql-13-pgtap,
 postgresql-common (>= 219~),
 @,
Tests: prove
Restrictions: allow-stderr

Depends:
 @,
Tests: scripts
Restrictions: allow-stderr

## pg-partman 4.5.1

=== Makefile ===
--- 
+++ 
@@ -4,24 +4,44 @@
 
 PG_CONFIG = pg_config
 PG94 = $(shell $(PG_CONFIG) --version | egrep " 8\.| 9\.0| 9\.1| 9\.2| 9\.3" > /dev/null && echo no || echo yes)
+PG11 = $(shell $(PG_CONFIG) --version | egrep " 8\.| 9\.| 10\." > /dev/null && echo no || echo yes)
 
 ifeq ($(PG94),yes)
+
 DOCS = $(wildcard doc/*.md)
-SCRIPTS = bin/*.py
 MODULES = src/pg_partman_bgw
+
 # If user does not want the background worker, run: make NO_BGW=1
 ifneq ($(NO_BGW),)
 	MODULES=
 endif
+
 all: sql/$(EXTENSION)--$(EXTVERSION).sql
+
+# Only include scripts common to all version of PG in PG11+. 
+# Otherwise if less than PG11, include the old python scripts along with common.
+# Only include procedures in PG11+
+ifeq ($(PG11),yes)
+SCRIPTS = bin/common/*.py
+
+sql/$(EXTENSION)--$(EXTVERSION).sql: $(sort $(wildcard sql/types/*.sql)) $(sort $(wildcard sql/tables/*.sql)) $(sort $(wildcard sql/functions/*.sql)) $(sort $(wildcard sql/procedures/*.sql))
+	cat $^ > $@
+
+else
+SCRIPTS = bin/common/*.py bin/pg10/*.py
 
 sql/$(EXTENSION)--$(EXTVERSION).sql: $(sort $(wildcard sql/types/*.sql)) $(sort $(wildcard sql/tables/*.sql)) $(sort $(wildcard sql/functions/*.sql))
 	cat $^ > $@
+	#
+# end PG11 if
+endif
 
 DATA = $(wildcard updates/*--*.sql) sql/$(EXTENSION)--$(EXTVERSION).sql
 EXTRA_CLEAN = sql/$(EXTENSION)--$(EXTVERSION).sql
 else
 $(error Minimum version of PostgreSQL required is 9.4.0)
+
+# end PG94 if
 endif
 
 PGXS := $(shell $(PG_CONFIG) --pgxs)

=== debian/changelog ===
pg-partman (4.5.1-1) unstable; urgency=medium

  * New upstream version.
  * Fixed security issue that could allow arbitrary code execution using
    SECURITY DEFINER functions. Set explicit search_path to avoid this.
    CVE-2021-33204

 -- Christoph Berg <myon@debian.org>  Tue, 25 May 2021 17:59:43 +0200

=== debian/control ===
Source: pg-partman
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all (>= 219~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/pg-partman
Vcs-Git: https://salsa.debian.org/postgresql/pg-partman.git
Homepage: https://github.com/pgpartman/pg_partman

Package: postgresql-13-partman
Architecture: any
Depends:
 postgresql-13,
 python3,
 python3-psycopg2,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Partition Manager
 pg_partman is a PostgreSQL extension to create and manage both time-based and
 serial-based table partition sets. Sub-partitioning is also supported. Child
 table & trigger function creation is all managed by the extension itself.
 Tables with existing data can also have their data partitioned in easily
 managed smaller batches. Optional retention policy can automatically drop
 partitions no longer needed. A background worker (BGW) process is included to
 automatically run partition maintenance without the need of an external
 scheduler (cron, etc) in most cases.

=== debian/tests/control ===
Depends:
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-13-pgtap,
 postgresql-common (>= 219~),
 @,
Tests: prove
Restrictions: allow-stderr

Depends:
 @,
Tests: scripts
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://github.com/pgpartman/pg_partman/releases .*/v?(.*).tar.gz
#http://pgxn.org/dist/pg_partman/ .*/pg_partman-(.*).zip

## pg-partman 4.6.0

=== debian/changelog ===
pg-partman (4.6.0-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Mon, 08 Nov 2021 11:29:34 +0100

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,10 @@
 Vcs-Git: https://salsa.debian.org/postgresql/pg-partman.git
 Homepage: https://github.com/pgpartman/pg_partman
 
-Package: postgresql-13-partman
+Package: postgresql-14-partman
 Architecture: any
 Depends:
- postgresql-13,
+ postgresql-14,
  python3,
  python3-psycopg2,
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	dh_installdocs --all README.md doc/*
	rm -rf debian/*/usr/share/doc/postgresql-doc-*

override_dh_pgxs_test:
	# defer testing to autopkgtest, we can't build-depend on PG-version-specific pgtap packages yet

%:
	dh $@ --with pgxs_loop

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Depends:
  libtap-parser-sourcehandler-pgtap-perl,
- postgresql-13-pgtap,
+ postgresql-14-pgtap,
  postgresql-common (>= 219~),
  @,
 Tests: prove

## pg-partman 4.6.2

=== debian/changelog ===
pg-partman (4.6.2-1.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 16 May 2022 12:08:47 +0200

pg-partman (4.6.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Christoph Berg ]
  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 16 May 2022 12:08:47 +0200

pg-partman (4.6.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 02 May 2022 16:30:10 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,78 @@
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-partman
 Vcs-Git: https://salsa.debian.org/postgresql/pg-partman.git
 Homepage: https://github.com/pgpartman/pg_partman
+
+Package: postgresql-10-partman
+Architecture: any
+Depends:
+ postgresql-10,
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
+
+Package: postgresql-11-partman
+Architecture: any
+Depends:
+ postgresql-11,
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
+
+Package: postgresql-12-partman
+Architecture: any
+Depends:
+ postgresql-12,
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
+
+Package: postgresql-13-partman
+Architecture: any
+Depends:
+ postgresql-13,
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
 
 Package: postgresql-14-partman
 Architecture: any

## pg-partman 4.7.0

=== debian/changelog ===
pg-partman (4.7.0-1.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 10 Aug 2022 22:42:06 +0200

pg-partman (4.7.0-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 10 Aug 2022 22:42:06 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Christoph Berg <myon@debian.org>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 11),
  postgresql-all (>= 219~),
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Depends:
  libtap-parser-sourcehandler-pgtap-perl,
- postgresql-14-pgtap,
+ postgresql-10-pgtap, postgresql-11-pgtap, postgresql-12-pgtap, postgresql-13-pgtap, postgresql-14-pgtap,
  postgresql-common (>= 219~),
  @,
 Tests: prove

## pg-partman 4.7.1

=== debian/changelog ===
pg-partman (4.7.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 07 Nov 2022 14:35:41 +0100

pg-partman (4.7.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Oct 2022 10:52:02 +0200

## pg-partman 4.7.2

=== debian/changelog ===
pg-partman (4.7.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 03 Feb 2023 11:09:08 +0100

=== debian/control ===
Source: pg-partman
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all (>= 219~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/pg-partman
Vcs-Git: https://salsa.debian.org/postgresql/pg-partman.git
Homepage: https://github.com/pgpartman/pg_partman

Package: postgresql-15-partman
Architecture: any
Depends:
 postgresql-15,
 python3,
 python3-psycopg2,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Partition Manager
 pg_partman is a PostgreSQL extension to create and manage both time-based and
 serial-based table partition sets. Sub-partitioning is also supported. Child
 table & trigger function creation is all managed by the extension itself.
 Tables with existing data can also have their data partitioned in easily
 managed smaller batches. Optional retention policy can automatically drop
 partitions no longer needed. A background worker (BGW) process is included to
 automatically run partition maintenance without the need of an external
 scheduler (cron, etc) in most cases.

=== debian/tests/control ===
Depends:
 libtap-parser-sourcehandler-pgtap-perl,
 postgresql-15-pgtap,
 postgresql-common (>= 219~),
 @,
Tests: prove
Restrictions: allow-stderr

Depends:
 @,
Tests: scripts
Restrictions: allow-stderr

## pg-partman 4.7.3

=== debian/changelog ===
pg-partman (4.7.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Jul 2023 15:30:31 +0300

## pg-partman 4.7.4

=== debian/changelog ===
pg-partman (4.7.4-2.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 17 Sep 2023 19:12:42 +0200

pg-partman (4.7.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Sun, 17 Sep 2023 19:12:42 +0200

pg-partman (4.7.4-1) unstable; urgency=medium

  * New upstream version with PG16 support.

 -- Christoph Berg <myon@debian.org>  Wed, 13 Sep 2023 18:16:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
  Christoph Berg <myon@debian.org>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 12),
  postgresql-all (>= 219~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/pg-partman
 Vcs-Git: https://salsa.debian.org/postgresql/pg-partman.git
 Homepage: https://github.com/pgpartman/pg_partman
 
-Package: postgresql-15-partman
+Package: postgresql-10-partman
 Architecture: any
 Depends:
- postgresql-15,
+ ${postgresql:Depends},
  python3,
  python3-psycopg2,
  ${misc:Depends},
@@ -31,3 +31,93 @@
  partitions no longer needed. A background worker (BGW) process is included to
  automatically run partition maintenance without the need of an external
  scheduler (cron, etc) in most cases.
+
+Package: postgresql-11-partman
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
+
+Package: postgresql-12-partman
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
+
+Package: postgresql-13-partman
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
+
+Package: postgresql-14-partman
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.
+
+Package: postgresql-15-partman
+Architecture: any
+Depends:
+ ${postgresql:Depends},
+ python3,
+ python3-psycopg2,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Partition Manager
+ pg_partman is a PostgreSQL extension to create and manage both time-based and
+ serial-based table partition sets. Sub-partitioning is also supported. Child
+ table & trigger function creation is all managed by the extension itself.
+ Tables with existing data can also have their data partitioned in easily
+ managed smaller batches. Optional retention policy can automatically drop
+ partitions no longer needed. A background worker (BGW) process is included to
+ automatically run partition maintenance without the need of an external
+ scheduler (cron, etc) in most cases.

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Depends:
  libtap-parser-sourcehandler-pgtap-perl,
- postgresql-15-pgtap,
+ postgresql-10-pgtap, postgresql-11-pgtap, postgresql-12-pgtap, postgresql-13-pgtap, postgresql-14-pgtap, postgresql-15-pgtap,
  postgresql-common (>= 219~),
  @,
 Tests: prove
